package httphandlers

import (
	"net/http"

	"github.com/fiskerinc/cloud-services/pkg/common/context"
)

const ClientIDContextKey context.ContextType = "client_id"

func GetClientID(r *http.Request) string {
	v := r.Context().Value(ClientIDContextKey)
	id, ok := v.(string)
	if !ok {
		return ""
	}

	return id
}
